FROM flywheel/python-slim:master.1a4eee7c
SHELL ["/bin/bash", "-euxo", "pipefail", "-c"]

ENV DOCKER_VERSION=19.03.13
RUN curl -fLSs https://download.docker.com/linux/static/stable/x86_64/docker-$DOCKER_VERSION.tgz | tar xz docker/docker; \
    mv docker/docker /usr/local/bin; \
    rm -rf docker

ENV PUSHRM_VERSION=1.7.0
RUN curl -fLSso docker-pushrm https://github.com/christian-korneck/docker-pushrm/releases/download/v$PUSHRM_VERSION/docker-pushrm_linux_amd64; \
    chmod +x docker-pushrm; \
    mkdir -p /root/.docker/cli-plugins; \
    mv docker-pushrm /root/.docker/cli-plugins

RUN pip install --no-cache-dir \
        docker-compose==1.29.2 \
        pre-commit==2.13.0

COPY ci /ci
ENTRYPOINT []
CMD ["/bin/bash"]
